function OnWarpEnter() 
	SetMarker("cs\\Warp_0221.wp" , 0 , 0) 

ImportAnimationWarp("3D\\cs\\Warp_0022")


	if not OpenMachineW21 then
		StartAnimationPart("zman", 0, 1, -1, false)
--		AnimationSetToEnd("zman",false)
	elseif OpenMachineW21 then
		StartAnimationPart("zman", 1, 2, -1, false)
--		AnimationSetToStart("zman",false)
	end

	if not CoffreW221 then
		AnimationSetToStart("zyan")
	else
		AnimationSetToEnd("zyan")
	end

	if ETAT_DAY == "D3" then 
		PutObject("zoan",false)
		PutObject("zwa1",false)
		if HENRYCHART_ON_MACHINE_D3 then
			if PUZZLE_ASTROCHART_SOLVED then
				AnimationSetToEnd("zna1",false)
			else
				AnimationSetToStart("zna1",false)
			end
		end
	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0221.wp" then 
		ChangeWarp(objectName)
	end

end
